<?php
include_once("c_esmo_setting_groups.php");
class c_page_cab_esmo_setting_group_of_personal extends c_page_cab_esmo_setting_groups
{
 public $h1='Группа персонала' ;
 public $rec_group ;
 public $page_type='window' ;

 function select_obj_info()
 { if (_CUR_ID)
   { $this->rec_group=_IL('IL_groups')->recs[_CUR_ID] ;
     if ($this->rec_group['pkey'])
     {   $this->rec_group['__href']='/cab/esmo_setting/group_of_personal/'.$this->rec_group['id'].'/' ;
         if ($this->rec_group['ext_info']) $this->rec_group['_ext_info']=unserialize($this->rec_group['ext_info']) ;
         $this->h1='Группа персонала "'.$this->rec_group['obj_name'].'"' ;
     }
     else $this->result=404 ;
   }
 }

 function menu_config()
 { //$this->second_menu['/cab/esmo_setting/groups/']=array('title'=>'Группы') ;
   if ($this->rec_group['pkey'])
   {   $this->menu[$this->rec_group['__href']]=array('title'=>'Редактирование группы','_class'=>'fa fa-user-md') ;
       $this->menu[$this->rec_group['__href'].'report/']=array('title'=>'Персонал группы','_class'=>'fa fa-user-md') ;
       $this->menu[$this->rec_group['__href'].'db/']=array('title'=>'Исходные данные','_class'=>'fa fa-user-md') ;
   }
 }

 function block_main()
 {   $this->page_title() ;
     // общий интерфейс для всех сущностей по отбору сотрудников
     include_once(_DIR_EXT.'/personal/panel_select_personals_to_filter.php') ;
     panel_select_personals_to_filter('groups',$this->rec_group) ;
 }

}



?>
